global datapath "/Users/tsimcoe/Dropbox (BOSTON UNIVERSITY)/BRDIS/EBay/data"
global figpath "/Users/tsimcoe/Dropbox (BOSTON UNIVERSITY)/BRDIS/EBay/figures"
set more off

*************
** Table 1 **
*************
use "$datapath/R&D_Productivity/compupanel.dta", clear
label var lnAsset "log(Assets)"
label var techEB "PostEbayICT"
log using "$figpath/rdRegs.log", text replace
eststo col1: xtreg logRD lnAsset techEB i.fyear if fullRD, fe i(id) robust
eststo col2: xtreg logRD lnAsset techEB i.fyear if fullRD & (tech|health), fe i(id) robust
eststo col3: xtreg logRD lnAsset techEB i.fyear if fullRD & !health, fe i(id) robust
eststo col4: xtpoisson xrd lnAsset techEB i.fyear if fullRD, fe i(id) robust
eststo col5: xtpoisson xrd lnAsset techEB i.fyear if fullRD & (tech|health), fe i(id) robust
eststo col6: xtpoisson xrd lnAsset techEB i.fyear if fullRD & !health, fe i(id) robust

esttab _all, label drop(*.fyear _cons) cells(b(fmt(2)) se(par([ ]) fmt(2) star)) stats(N r2, fmt(0 2)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
log close
est clear


*************
** Table 2 **
*************
use "$datapath/R&D_Productivity/tfp_panel.dta", clear
label var postPat "PostEbay*ln(Patents)"
log using "$figpath/tfpRegs.log", text replace
eststo col1: xtreg lntfp4 postPat i.year, fe i(id) cluster(id)
eststo col2: xtreg lntfp4 postPat i.year i.id#c.year, fe i(id) cluster(id) 
eststo col3: xtreg lntfp4 postPat i.year if NAICS != "334", fe i(id) cluster(id)
eststo col4: xtreg lntfp4 postPat i.year i.id#c.year if NAICS != "334", fe i(id) cluster(id) 
esttab _all, label drop(*.year _cons) cells(b(fmt(6)) se(par([ ]) fmt(6) star)) stats(N r2, fmt(0 6)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
est clear
log close

***************
** Table A.1 **
***************
use "$datapath/patent_data/combined_panel.dta", clear
egen tech_region=group(region techGroup)
egen tech_id=group(techGroup)
xtset tech_region applicationYear  
label var postEbay "US * PostEbay"
log using "$figpath/patRegion.log", text replace
eststo col1: areg lnNumPat postEbay i.applicationYear if (applicationYear >= 1999 & applicationYear <= 2013),  a(tech_region) robust
eststo col2: areg lnNumPat postEbay i.applicationYear c.applicationYear##i.tech_id if (applicationYear >= 1999 & applicationYear <= 2013),  a(tech_region) robust
esttab _all, label keep(postEbay) cells(b(fmt(6)) se(par([ ]) fmt(6) star)) stats(N r2, fmt(0 6)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
est clear 
log close

***************
** Table A.2 **
***************
use "$datapath/R&D_Productivity/compupanel.dta", clear
gen datayear = year(datadate)
log using "$figpath/altEndYears.log", text replace
eststo col1: xtreg logRD lnAsset techEB i.fyear if fullRD & datayear <= 2011, fe i(id) robust
eststo col2: xtreg logRD lnAsset techEB i.fyear if fullRD & (tech|health) & datayear <= 2011, fe i(id) robust
eststo col3: xtreg logRD lnAsset techEB i.fyear if fullRD & !health & datayear <= 2011, fe i(id) robust
esttab _all, label keep(techEB) cells(b(fmt(6)) se(par([ ]) fmt(6) star)) stats(N r2, fmt(0 6)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
est clear

eststo col1: xtreg logRD lnAsset techEB i.fyear if fullRD & datayear <= 2012, fe i(id) robust
eststo col2: xtreg logRD lnAsset techEB i.fyear if fullRD & (tech|health) & datayear <= 2012, fe i(id) robust
eststo col3: xtreg logRD lnAsset techEB i.fyear if fullRD & !health & datayear <= 2012, fe i(id) robust
esttab _all, label keep(techEB) cells(b(fmt(6)) se(par([ ]) fmt(6) star)) stats(N r2, fmt(0 6)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
est clear

eststo col1: xtreg logRD lnAsset techEB i.fyear if fullRD & datayear <= 2013, fe i(id) robust
eststo col2: xtreg logRD lnAsset techEB i.fyear if fullRD & (tech|health) & datayear <= 2013, fe i(id) robust
eststo col3: xtreg logRD lnAsset techEB i.fyear if fullRD & !health & datayear <= 2013, fe i(id) robust
esttab _all, label keep(techEB) cells(b(fmt(6)) se(par([ ]) fmt(6) star)) stats(N r2, fmt(0 6)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
est clear

log close

***************
** Table A.3 **
***************
use "$datapath/R&D_Productivity/compupanel.dta", clear
gen RDoverAsset = xrd/at
label var techEB "PostEbayICT"
log using "$figpath/r&dOverAssets.log", text replace
eststo col1: xtreg RDoverAsset techEB i.fyear if fullRD, fe i(id) robust
eststo col2: xtreg RDoverAsset techEB i.fyear if fullRD & (tech|health), fe i(id) robust
eststo col3: xtreg RDoverAsset techEB i.fyear if fullRD & !health, fe i(id) robust
eststo col4: xtpoisson RDoverAsset techEB i.fyear if fullRD, fe i(id) robust
eststo col5: xtpoisson RDoverAsset techEB i.fyear if fullRD & (tech|health), fe i(id) robust
eststo col6: xtpoisson RDoverAsset techEB i.fyear if fullRD & !health, fe i(id) robust
esttab _all, label keep(techEB) cells(b(fmt(6)) se(par([ ]) fmt(6) star)) stats(N r2, fmt(0 6)) star(* 0.05 ** 0.01) starlevels(* 0.05 ** 0.01)
est clear
log close
